Subject: Re: Help with cross-endian bitfields?

From: Dan Malek <[email-masked]>
Date: Fri, 05 May 2000 16:05:52 -0400

[email-masked] wrote:

> Hi, all.  I'm working on getting the Advansys driver working and what
> appears to be the final stumbling block is a difference in the layout of
> bitfields between little-endian and big-endian systems.

IMHO, bit fields are not normally a good thing to be using if this is
describing a real device register.  The compiler is able to read/write
in ways that may not be proper for hardware access.  For device registers
and when this is a data structure in memory, the cross-platform method
of using macros for reading writing 16- and 32-bit values and then 'C'
operators for testing/setting bits has worked pretty well in the past.....

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/